Skip to content
Developer

ImportedPaymentTransactionGroup

Accounting4 EndpointsBilling / ImportedPaymentTransactionGroup

Returns a list of all ImportedPaymentTransactionGroup

GET/api/invoice/imported_payment_transaction_group

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all ImportedPaymentTransactionGrouparray<ImportedPaymentTransactionGroup>

Show fields (6)
  • linkedboolean

    The group is linked to a document.

  • auto_linkedboolean

    The group was linked automatically.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "linked": true,
    "auto_linked": true,
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Add a new ImportedPaymentTransactionGroup

POST/api/invoice/imported_payment_transaction_group

Request body application/json

  • dataImportedPaymentTransactionGroup2
    Show fields (7)
    • linkedboolean

      The group is linked to a document.

    • auto_linkedboolean

      The group was linked automatically.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • billing_payment_profileBillingPaymentProfile10

Responses

200Add a new ImportedPaymentTransactionGroupImportedPaymentTransactionGroup2

Show fields (7)
  • linkedboolean

    The group is linked to a document.

  • auto_linkedboolean

    The group was linked automatically.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • billing_payment_profileBillingPaymentProfile10
    Show fields (15)
    • idinteger

      Primary key of the payment profile. Internal ID.

    • payout_typestring

      Type of payout, for example SEPA direct debit or transfer.

    • auto_modeboolean

      Payments are created automatically.

    • is_defaultboolean

      Default payment profile.

    • is_event_defaultboolean

      Default payment profile for events.

    • is_donation_defaultboolean

      Default payment profile for donations.

    • execution_daystring

      Day of the month the payments are executed.

    • next_execution_datestring (date-time)

      Date of the next execution.

    • booking_daystring

      Day of the month the payments are booked.

    • next_booking_datestring (date-time)

      Date of the next booking.

    • force_billing_due_date_to_next_booking_dateboolean

      Force the due date of the invoice to the next booking date.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "linked": true,
    "auto_linked": true,
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "linked": true,
  "auto_linked": true,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "billing_payment_profile": {
    "id": 42,
    "name": "Beispiel",
    "payout_type": "string",
    "auto_mode": true,
    "is_default": true,
    "is_event_default": true,
    "is_donation_default": true,
    "execution_day": "string",
    "next_execution_date": "2026-10-15T09:30:00+02:00",
    "booking_day": "string"
  }
}

Get a single ImportedPaymentTransactionGroup

GET/api/invoice/imported_payment_transaction_group/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single ImportedPaymentTransactionGroupImportedPaymentTransactionGroup2

Show fields (7)
  • linkedboolean

    The group is linked to a document.

  • auto_linkedboolean

    The group was linked automatically.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • billing_payment_profileBillingPaymentProfile10
    Show fields (15)
    • idinteger

      Primary key of the payment profile. Internal ID.

    • payout_typestring

      Type of payout, for example SEPA direct debit or transfer.

    • auto_modeboolean

      Payments are created automatically.

    • is_defaultboolean

      Default payment profile.

    • is_event_defaultboolean

      Default payment profile for events.

    • is_donation_defaultboolean

      Default payment profile for donations.

    • execution_daystring

      Day of the month the payments are executed.

    • next_execution_datestring (date-time)

      Date of the next execution.

    • booking_daystring

      Day of the month the payments are booked.

    • next_booking_datestring (date-time)

      Date of the next booking.

    • force_billing_due_date_to_next_booking_dateboolean

      Force the due date of the invoice to the next booking date.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "linked": true,
  "auto_linked": true,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "billing_payment_profile": {
    "id": 42,
    "name": "Beispiel",
    "payout_type": "string",
    "auto_mode": true,
    "is_default": true,
    "is_event_default": true,
    "is_donation_default": true,
    "execution_day": "string",
    "next_execution_date": "2026-10-15T09:30:00+02:00",
    "booking_day": "string"
  }
}

Update a ImportedPaymentTransactionGroup

PUT/api/invoice/imported_payment_transaction_group/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataImportedPaymentTransactionGroup2
    Show fields (7)
    • linkedboolean

      The group is linked to a document.

    • auto_linkedboolean

      The group was linked automatically.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • billing_payment_profileBillingPaymentProfile10

Responses

200Update a ImportedPaymentTransactionGroupImportedPaymentTransactionGroup2

Show fields (7)
  • linkedboolean

    The group is linked to a document.

  • auto_linkedboolean

    The group was linked automatically.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • billing_payment_profileBillingPaymentProfile10
    Show fields (15)
    • idinteger

      Primary key of the payment profile. Internal ID.

    • payout_typestring

      Type of payout, for example SEPA direct debit or transfer.

    • auto_modeboolean

      Payments are created automatically.

    • is_defaultboolean

      Default payment profile.

    • is_event_defaultboolean

      Default payment profile for events.

    • is_donation_defaultboolean

      Default payment profile for donations.

    • execution_daystring

      Day of the month the payments are executed.

    • next_execution_datestring (date-time)

      Date of the next execution.

    • booking_daystring

      Day of the month the payments are booked.

    • next_booking_datestring (date-time)

      Date of the next booking.

    • force_billing_due_date_to_next_booking_dateboolean

      Force the due date of the invoice to the next booking date.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "linked": true,
    "auto_linked": true,
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "linked": true,
  "auto_linked": true,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "billing_payment_profile": {
    "id": 42,
    "name": "Beispiel",
    "payout_type": "string",
    "auto_mode": true,
    "is_default": true,
    "is_event_default": true,
    "is_donation_default": true,
    "execution_day": "string",
    "next_execution_date": "2026-10-15T09:30:00+02:00",
    "booking_day": "string"
  }
}